The endpoint receives as path param project id. Supports optional query parameters to narrow the results and cursor based pagination.
Status of the registration.
| Enum Value | Description |
|---|---|
| DRAFT | Registration not submitted by the customer. This functionality is not available through Public API, but it is possible to retrieve a registration created in the Sinch Customer Dashboard under the same project Id. |
| IN_QUEUE | Registration has been successfully submitted, but it is waiting for support. |
| IN_PROGRESS | Registration is being processing by Sinch. |
| APPROVED | Registration has been approved and sender ID has been provisioned for the customer. |
| REJECTED | Registration has been rejected. A comment should be present in the logs with the reason. |
| PENDING | Registration must be updated by the customer. Please check the registration logs to understand the reason. |
| ON_HOLD | Registration is on hold for any reason. Please check the comments in the logs. |
| PENDING_APPROVAL | For those policies with MANUAL price, Account Managers must approve the operation. Until registration has the approval it will stay in this state. |
| PENDING_ATTACHMENTS | Registration has been submitted, but at least one mandatory attachment must be provided. |
Registration type for market used in registration is for. There are different markets available depending on this type
| Enum Value | Description |
|---|---|
| ALPHANUMERIC_SENDER_ID | Alpha sender IDs |
| LONG_NUMBER | Long Numbers for SMS |
| SHORT_CODE | Short Codes for SMS |
| RCS_AGENT | RCS agent |
- Production serverhttps://senderid.registrations.api.sinch.com/v1/projects/{projectId}/registrations
- Staging serverhttps://senderid.numbers-registration.staging.sinch.com/v1/projects/{projectId}/registrations
curl -i -X GET \
'https://senderid.registrations.api.sinch.com/v1/projects/{projectId}/registrations?registrationState=IN_QUEUE&tags=%23tag1%2C%23tag2&marketCode=MK&createDateFrom=2024-11-03&createDateTo=2024-11-03&updateDateFrom=2024-11-03&updateDateTo=2024-11-03&senderId=sender%20ID&orderBy=senderId%2Casc&pageSize=100&pageToken=string®istrationType=ALPHANUMERIC_SENDER_ID' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'OK
Page token that can be used to retrieve next page of registrations if they exist. Will be empty if next page does not exist
{ "nextPageToken": "string", "registrations": [ { … } ], "totalSize": 0 }